Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 805666 - Review Request: lldpd - Link Layer Discovery Protocol Daemon
Summary: Review Request: lldpd - Link Layer Discovery Protocol Daemon
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2012-03-21 18:46 UTC by Balaji G
Modified: 2013-10-29 14:57 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-12 19:00:14 UTC


Attachments (Terms of Use)

Description Balaji G 2012-03-21 18:46:13 UTC
Spec URL: http://balajig8.fedorapeople.org/packages/lldp/lldpd.spec
SRPM URL: http://balajig8.fedorapeople.org/packages/lldp/lldpd-0.5.7-1.fc16.src.rpm
Description: Link Layer Discovery Protocol Daemon

Comment 1 Petr Šabata 2012-03-22 08:54:39 UTC
Just a note: Fedora already ships with the Open-LLDP daemon, lldpad.

Comment 2 Rex Dieter 2012-03-27 16:41:59 UTC
Petr, pardon my ignorance, but how is that relevant to lldpd exactly?  (or just noting the potential of naming confusion?)

Comment 3 Rex Dieter 2012-03-27 16:48:43 UTC
Initial comments:

1  SHOULD: drop reference to EOL'd el4 and simplify the spec by removing those extra macros

2. MUST:  These look wrong to me:
%define lldpd_user _lldpd
%define lldpd_group _lldpd
shouldn't those be the actual uid/gid to be used?

3.  MUST:  I don't see
Source1: lldpd.service
getting installed anywhere.  else, all the systemd-related scriptlets will fail.

Comment 4 Petr Šabata 2012-03-28 08:34:49 UTC
(In reply to comment #2)
> Petr, pardon my ignorance, but how is that relevant to lldpd exactly?  (or just
> noting the potential of naming confusion?)

Yes, that.  And sometimes people tend to argue whether it's a good idea to have more projects with similar functionality in the distro.

I have nothing against lldpd, just wanted to let the reporter and reviewer know in case they cared :)

Comment 5 Balaji G 2012-03-28 11:27:39 UTC
Peter, So if that's the case the lldpd wouldn't be allowed into the repos ?

Comment 6 Petr Šabata 2012-03-28 11:40:00 UTC
I hope so :)

Comment 7 Balaji G 2012-03-28 14:40:45 UTC
This package is part of the wishlist and hence i packaged it and the spec file was initially written for RHEL too, It would be nice if this is allowed as i could maintain it. Its gonna be only in the repos and i think it should be fair to allow this :)

Comment 8 Rex Dieter 2012-04-19 12:32:33 UTC
ping, any updated packages to look at yet?

Comment 9 Balaji G 2012-04-23 03:24:30 UTC
Sorry Rex. I have made the changes i ll upload the spec within this week. Was tied up a bit with other work :(

Comment 10 Volker Fröhlich 2012-09-23 18:13:17 UTC
Any news here?

Comment 11 Rex Dieter 2012-11-08 15:43:51 UTC
ping, ping, it's been awhile.

i'll give another week or 2 before considering closing as a dead review.

Comment 12 Rex Dieter 2013-03-12 19:00:14 UTC
marking dead review, feel free to re-open when/if you get interested in this again.


Note You need to log in before you can comment on or make changes to this bug.